tigase.db.util

## Class SchemaVersionCheckerLogger.VersionCheckerSchemaInfo

- java.lang.Object
- - tigase.db.util.SchemaVersionCheckerLogger.VersionCheckerSchemaInfo

- All Implemented Interfaces:
    Comparable<SchemaVersionCheckerLogger.VersionCheckerSchemaInfo>
  Enclosing class:
    SchemaVersionCheckerLogger

      public static class SchemaVersionCheckerLogger.VersionCheckerSchemaInfo
      extends Object
      implements Comparable<SchemaVersionCheckerLogger.VersionCheckerSchemaInfo>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionCheckerSchemaInfo(Class<? extends DataSourceAware> datasourceClass, Optional<Version> databaseVersion, Version requiredVersion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(SchemaVersionCheckerLogger.VersionCheckerSchemaInfo that)`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionCheckerSchemaInfo

          public VersionCheckerSchemaInfo(Class<? extends DataSourceAware> datasourceClass,
                                          Optional<Version> databaseVersion,
                                          Version requiredVersion)

  - ### Method Detail

    - #### compareTo

          public int compareTo(SchemaVersionCheckerLogger.VersionCheckerSchemaInfo that)

      Specified by:
        `compareTo` in interface `Comparable<SchemaVersionCheckerLogger.VersionCheckerSchemaInfo>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.